<template>
	<page style="color: #007AFF;"></page>
</template>

<script>
	export default {
		globalData: {
			detail: null,
			choosedAddress: null
		},
		async onLaunch () {  //app 初始化
			uni.loading = () => uni.showLoading({ mask: true, title: '加载中' })
			if (!uni.getStorageSync('warn')) {
				uni.setStorageSync('warn', 'false')
			}
			uni.onNetworkStatusChange(({ networkType, isConnected }) => { //监听网络类型变化
				if (isConnected) {  //当网络类型却换后
					if (!this.$verified()) {  //如果用户未登录，就触发 初始化方法。用户用户初次打开小程序时没有网络，随即又有网络的情况
						this.$store.dispatch('onLaunch')
					}
					if ('2g3g'.indexOf(networkType) !== -1) {
						uni.showToast({ title: '网络似乎不太稳定', icon: 'none' })
					}
				} else {
					uni.showToast({ title: '似乎已经断开网络连接', icon: 'none' })
				}
				this.$store.commit('CHANGENETWORKSTATUS', networkType)
			})
			uni.showLoading({ title: '加载中', mask: true })  //显示loading
			const [ , { networkType }] = await uni.getNetworkType();  //获取网络类型，给出相应的提示
			this.$store.commit('CHANGENETWORKSTATUS', networkType)  //获取网络类型并将状态存在 store 里
		},
		async onShow () {
			
		},
		async onHide () {
			uni.hideLoading()  //app hide 时隐藏loading
		}
	}
</script>

<style>
	@import 'common/styles/main.css';  //引入 ColorUI 组件库主样式
	@import 'common/styles/icon.css';  //引入 ColorUI 组件库图标样式
	@import 'common/styles/animation.css';  //引入 ColorUI 组件库动画样式
	page {  //uniapp 中的 page 标签相当于 html 中的 body, 默认高度为 auto, 但是高度为 100% 更利于 app 布局,你也可以在 page 中设置一些全局样式,比如全局背景色
		background: #FFFFFF;
		height: 100%;
	}
</style>
